package org.rcisoft.business.cmsApplication.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.rcisoft.business.cmsApplication.dao.CmsApplicationRepository;
import org.rcisoft.business.cmsApplication.entity.CmsApplication;
import org.rcisoft.business.cmsApplication.service.CmsApplicationService;
import org.rcisoft.common.component.Global;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.util.CyUserUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author cy
 * @date 2024年3月25日 下午1:42:40
 */
@Service
@Transactional(readOnly = true, propagation = Propagation.NOT_SUPPORTED)
@Slf4j
public class CmsApplicationServiceImpl extends ServiceImpl<CmsApplicationRepository, CmsApplication> implements CmsApplicationService {

    @Autowired
    private Global global;


    /**
     * 根据id查询 报名表
     *
     * @param id
     * @return
     */
    @Override
    public CmsApplication findById(Integer id) {
        CmsApplication cmsApplication = baseMapper.selectById(id);
        return cmsApplication;
    }

    /**
     * 分页查询 报名表
     *
     * @param cmsApplication
     * @return
     */
    @Override
    public IPage<CmsApplication> findAllByPagination(CyPageInfo<CmsApplication> paginationUtility, CmsApplication cmsApplication) {
        IPage<CmsApplication> cmsApplicationIPage = baseMapper.queryCmsApplicationPaged(paginationUtility, cmsApplication);
        return cmsApplicationIPage;
    }

    /**
     * 查询list 报名表
     *
     * @param cmsApplication
     * @return
     */
    @Override
    public List<CmsApplication> findAll(CmsApplication cmsApplication) {
        return baseMapper.queryCmsApplication(cmsApplication);

    }

}
